using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Bp.Sync.Domain.Entities.BaseEntities
{
    public class BaseEntityByLong : BaseEntity
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }
        public int? CreatedBy { get; set; }
        [MaxLength(155)]
        public string CreatedByUserName { get; set; }

        public int? UpdatedBy { get; set; }

        [MaxLength(155)]
        public string UpdatedByUserName { get; set; }
    }
}
